Subject: Re: linux-next: Tree for Sep 19 (make htmldocs problem)

From: Jonathan Corbet <[email-masked]>
Date: Sun, 21 Sep 2025 15:56:37 -0600

Mauro Carvalho Chehab <[email-masked]> writes:

>> I have no idea why
>> they felt the need to employ it for Sphinx, but they did, so we need to
>> work with that kind of configuration.  Meaning, really, I think we have
>> to just invoke sphinx-build directly rather than trying to control which
>> version of Python it may ultimately get.
>
> True, but if we ignore PYTHON3 env completely, this will break on
> other setups where sphinx is installed with a different python version
> (with includes OpenSUSE non-thumbleweed).

How do those setups work prior to your changes?  We didn't have to do
that dance before, right?  What makes it necessary now?

Thanks,

jon